# Interface IMemberValuePairBinding

All Superinterfaces:
  `IBinding`

public interface IMemberValuePairBinding extends IBinding
Represents a resolved instance of an annotation's member value pair. Resolved annotation are computed along with other bindings; these objects correspond to `MemberValuePair` nodes.

Since:
  3.2
Restriction:
  This interface is not intended to be implemented by clients.

## Field Summary

### Fields inherited from interface IBinding

`ANNOTATION, MEMBER_VALUE_PAIR, METHOD, MODULE, PACKAGE, TYPE, VARIABLE`

## Method Summary

Modifier and Type
Method
Description
`IMethodBinding`
`getMethodBinding()`
Returns the method binding corresponding to the named annotation type member.
`String`
`getName()`
Returns the name of the annotation type member.
`Object`
`getValue()`
Returns the resolved value.
`boolean`
`isDefault()`

### Methods inherited from interface IBinding

`equals, getAnnotations, getJavaElement, getKey, getKind, getModifiers, isDeprecated, isEqualTo, isRecovered, isSynthetic, toString`

## Method Details

### getName

String getName()
Returns the name of the annotation type member.

Specified by:
  `getName` in interface `IBinding`
Returns:
  the name of the member

### getMethodBinding

IMethodBinding getMethodBinding()
Returns the method binding corresponding to the named annotation type member.

Returns:
  the method binding for the annotation type member

### getValue

Object getValue()
Returns the resolved value. Resolved values are represented as follows:

- Primitive type - the equivalent boxed object
- java.lang.Class - the `ITypeBinding` for the class object
- java.lang.String - the string value itself
- enum type - the `IVariableBinding` for the enum constant
- annotation type - an `IAnnotationBinding`
- array type - an `Object[]` whose elements are as per above (the language only allows single dimensional arrays in annotations)

Returns:
  the resolved value, or `null` if none exists

### isDefault

boolean isDefault()

Returns:
  `true` iff this member value pair's value is the default value. Returns `false` otherwise.